Program fjf9;

Type
  StringPtr = ^String;

Var
  p: ^StringPtr;

begin
  New ( p );
  New ( p^, 3 );
  p^^:= 'OK';
  if SizeOf ( p^^ ) = 12 then
    writeln ( p^^ )
  else
    writeln ( 'failed: ', SizeOf ( p^^ ) );
end.
